package com.logicbig.example;


import reactor.core.publisher.Flux;
import java.util.concurrent.atomic.AtomicInteger;

public class GenerateViaConsumerSyncSink {
    public static void main(String[] args) {
        AtomicInteger ai = new AtomicInteger(0);
        Flux<Integer> flux = Flux.generate(
                sink -> {
                    sink.next(ai.incrementAndGet());
                    if (ai.get() == 5) {
                        sink.complete();
                    }
                }
        );

        flux.subscribe(System.out::println);
    }
}