package com.logicbig.example;


import reactor.core.publisher.Flux;

public class GenerateViaSyncSink {
    public static void main(String[] args) {
        Flux<String> flux = Flux.generate(
                () -> 1,
                (state, sink) -> {
                    sink.next("state = " + state);
                    if (state > 10){
                        sink.complete();}
                    return state + 2;
                });
        flux.subscribe(System.out::println);
    }
}