package com.logicbig.example;


import reactor.core.publisher.Flux;

public class GenerateViaSyncSink2 {
    public static void main(String[] args) {
        Flux<String> flux = Flux.generate(
                () -> "apple",
                (state, sink) -> {
                    sink.next("other "+state);
                    if (state.length()>10) sink.complete();
                    return state + " more";
                });

        flux.subscribe(System.out::println);
    }
}